Package: groovy.xml

## [Java] Class NamespaceBuilderSupport

- groovy.xml.NamespaceBuilderSupport

- A helper class for creating namespaced GroovyMarkup

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamespaceBuilderSupport (BuilderSupport builder)`
    `NamespaceBuilderSupport (BuilderSupport builder, String uri)`
    `NamespaceBuilderSupport (BuilderSupport builder, String uri, String prefix)`
    `NamespaceBuilderSupport (BuilderSupport builder, String uri, String prefix, boolean autoPrefix)`
    `NamespaceBuilderSupport (BuilderSupport builder, Map nsMap)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `createNode(Object name)`
    `` | `protected Object` | `createNode(Object name, Object value)`
    `` | `protected Object` | `createNode(Object name, Map attributes)`
    `` | `protected Object` | `createNode(Object name, Map attributes, Object value)`
    `` | `NamespaceBuilderSupport` | `declareNamespace(Map nsMap)`
    `` | `protected Object` | `getCurrent()`
    `` | `protected Object` | `getName(String methodName)`
    `` | `Object` | `invokeMethod(String methodName, Object args)` Allow automatic detection of namespace declared in the attributes
    `` | `NamespaceBuilderSupport` | `namespace(String namespaceURI)`
    `` | `NamespaceBuilderSupport` | `namespace(String namespaceURI, String prefix)`
    `` | `protected void` | `setCurrent(Object current)`
    `` | `protected void` | `setParent(Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BuilderSupport` | `createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NamespaceBuilderSupport(BuilderSupport builder)

    - #### public NamespaceBuilderSupport(BuilderSupport builder, String uri)

    - #### public NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)

    - #### public NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix, boolean autoPrefix)

    - #### public NamespaceBuilderSupport(BuilderSupport builder, Map nsMap)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object createNode(Object name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object createNode(Object name, Object value)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object createNode(Object name, Map attributes)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object createNode(Object name, Map attributes, Object value)

    - #### public NamespaceBuilderSupport declareNamespace(Map nsMap)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object getCurrent()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected Object getName(String methodName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeMethod(String methodName, Object args)

      Allow automatic detection of namespace declared in the attributes

    - #### public NamespaceBuilderSupport namespace(String namespaceURI)

    - #### public NamespaceBuilderSupport namespace(String namespaceURI, String prefix)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected void setCurrent(Object current)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected void setParent(Object parent, Object child)